## presto 0.5.10

=== requirements.txt ===
numpy>=1.8
scipy>=0.14
pandas>=0.15
biopython>=1.65

=== debian/changelog ===
presto (0.5.10-1) unstable; urgency=medium

  * Initial release (Closes: #913826)

 -- Steffen Moeller <moeller@debian.org>  Thu, 15 Nov 2018 18:09:18 +0100

=== debian/control ===
Source: presto
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper (>= 11), dh-python,
 python3-all, python3-setuptools
Standards-Version: 4.2.1
Homepage: https://presto.readthedocs.io
Vcs-Browser: https://salsa.debian.org/python-team/modules/presto
Vcs-Git: https://salsa.debian.org/python-team/modules/presto.git
Testsuite: autopkgtest-pkg-python

Package: python3-presto
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
 python3-numpy (>=1.8),
 python3-scipy (>=0.14),
 python3-pandas (>=0.15),
 python3-biopython (>=1.65)
Description: toolkit for processing B and T cell sequences
 pRESTO is a toolkit for processing raw reads from high-throughput
 sequencing of B cell and T cell repertoires.
 .
 Dramatic improvements in high-throughput sequencing technologies now
 enable large-scale characterization of lymphocyte repertoires, defined
 as the collection of trans-membrane antigen-receptor proteins located on
 the surface of B cells and T cells. The REpertoire Sequencing TOolkit
 (pRESTO) is composed of a suite of utilities to handle all stages
 of sequence processing prior to germline segment assignment. pRESTO
 is designed to handle either single reads or paired-end reads. It
 includes features for quality control, primer masking, annotation of
 reads with sequence embedded barcodes, generation of unique molecular
 identifier (UMI) consensus sequences, assembly of paired-end reads and
 identification of duplicate sequences. Numerous options for sequence
 sorting, sampling and conversion operations are also included.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=presto

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf presto.egg-info/

## presto 0.5.12

=== debian/changelog ===
presto (0.5.12-1) unstable; urgency=medium

  * New upstream version

 -- Steffen Moeller <moeller@debian.org>  Fri, 09 Aug 2019 15:49:00 +0200

presto (0.5.11-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Steffen Moeller ]
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Steffen Moeller <moeller@debian.org>  Sat, 03 Aug 2019 14:26:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,26 @@
 Source: presto
-Section: python
-Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Build-Depends: debhelper (>= 11), dh-python,
- python3-all, python3-setuptools
-Standards-Version: 4.2.1
-Homepage: https://presto.readthedocs.io
+Section: python
+Testsuite: autopkgtest-pkg-python
+Priority: optional
+Build-Depends: debhelper-compat (= 12),
+               dh-python,
+               python3-all,
+               python3-setuptools
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/presto
 Vcs-Git: https://salsa.debian.org/python-team/modules/presto.git
-Testsuite: autopkgtest-pkg-python
+Homepage: https://presto.readthedocs.io
 
 Package: python3-presto
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends},
- python3-numpy (>=1.8),
- python3-scipy (>=0.14),
- python3-pandas (>=0.15),
- python3-biopython (>=1.65)
+Depends: ${python3:Depends},
+         ${misc:Depends},
+         python3-numpy,
+         python3-scipy,
+         python3-pandas (>=0.15),
+         python3-biopython (>=1.65)
 Description: toolkit for processing B and T cell sequences
  pRESTO is a toolkit for processing raw reads from high-throughput
  sequencing of B cell and T cell repertoires.

## presto 0.5.13

=== requirements.txt ===
numpy>=1.8
scipy>=0.14
pandas>=0.24
biopython>=1.65

=== debian/changelog ===
presto (0.5.13-2) unstable; urgency=medium

  * Team upload.

  * Bump Standards-Version to 4.4.1.

 -- Ondřej Nový <onovy@debian.org>  Fri, 18 Oct 2019 15:26:32 +0200

presto (0.5.13-1) unstable; urgency=medium

  * New upstream version
  * Trim trailing whitespace.

 -- Steffen Moeller <moeller@debian.org>  Mon, 09 Sep 2019 11:41:49 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-python,
                python3-all,
                python3-setuptools
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/python-team/modules/presto
 Vcs-Git: https://salsa.debian.org/python-team/modules/presto.git
 Homepage: https://presto.readthedocs.io

=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,3 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf presto.egg-info/
-

## presto 0.6.0

=== debian/changelog ===
presto (0.6.0-3) unstable; urgency=medium

  * Team upload.

 -- Andreas Tille <tille@debian.org>  Thu, 11 Jun 2020 21:48:26 +0200

presto (0.6.0-2) unstable; urgency=medium

  * Team upload.
  * Moved packaging to Debian Med team
  * Add manpages
  * Separate binary package for presto tools
  * debhelper-compat 13 (routine-update)
  * Breaks+Replaces: python3-presto (<= 0.6.0-1)
  * License was changed from CC-BY-4.0 to AGPL-3

 -- Andreas Tille <tille@debian.org>  Sat, 06 Jun 2020 00:27:39 +0200

presto (0.6.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Steffen Moeller <moeller@debian.org>  Sat, 09 May 2020 16:15:25 +0200

## presto 0.6.2

=== requirements.txt ===
numpy>=1.8
scipy>=0.14
pandas>=0.24
biopython>=1.71

=== debian/changelog ===
presto (0.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 15 Oct 2020 18:51:55 +0530

presto (0.6.1-1) unstable; urgency=medium

  * New upstream version

 -- Steffen Moeller <moeller@debian.org>  Wed, 02 Sep 2020 20:42:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: presto
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools
-Standards-Version: 4.4.1
-Vcs-Browser: https://salsa.debian.org/python-team/modules/presto
-Vcs-Git: https://salsa.debian.org/python-team/modules/presto.git
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/med-team/presto
+Vcs-Git: https://salsa.debian.org/med-team/presto.git
 Homepage: https://presto.readthedocs.io
+Rules-Requires-Root: no
 
 Package: python3-presto
 Architecture: all
@@ -21,6 +22,32 @@
          python3-scipy,
          python3-pandas (>=0.15),
          python3-biopython (>=1.65)
+Description: toolkit for processing B and T cell sequences (Python3 module)
+ pRESTO is a toolkit for processing raw reads from high-throughput
+ sequencing of B cell and T cell repertoires.
+ .
+ Dramatic improvements in high-throughput sequencing technologies now
+ enable large-scale characterization of lymphocyte repertoires, defined
+ as the collection of trans-membrane antigen-receptor proteins located on
+ the surface of B cells and T cells. The REpertoire Sequencing TOolkit
+ (pRESTO) is composed of a suite of utilities to handle all stages
+ of sequence processing prior to germline segment assignment. pRESTO
+ is designed to handle either single reads or paired-end reads. It
+ includes features for quality control, primer masking, annotation of
+ reads with sequence embedded barcodes, generation of unique molecular
+ identifier (UMI) consensus sequences, assembly of paired-end reads and
+ identification of duplicate sequences. Numerous options for sequence
+ sorting, sampling and conversion operations are also included.
+ .
+ This package provides the presto Python3 module.
+
+Package: presto
+Architecture: all
+Depends: ${python3:Depends},
+         ${misc:Depends},
+         python3-presto
+Breaks: python3-presto (<= 0.6.0-1)
+Replaces: python3-presto (<= 0.6.0-1)
 Description: toolkit for processing B and T cell sequences
  pRESTO is a toolkit for processing raw reads from high-throughput
  sequencing of B cell and T cell repertoires.

## presto 0.7.0

=== requirements.txt ===
numpy>=1.8
scipy>=0.14
pandas>=0.24
biopython>=1.77

=== debian/changelog ===
presto (0.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.7.0

 -- Nilesh Patra <nilesh@debian.org>  Tue, 02 Nov 2021 00:04:02 +0530

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-python,
                python3-all,
                python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/presto
 Vcs-Git: https://salsa.debian.org/med-team/presto.git
 Homepage: https://presto.readthedocs.io
@@ -20,8 +20,8 @@
          ${misc:Depends},
          python3-numpy,
          python3-scipy,
-         python3-pandas (>=0.15),
-         python3-biopython (>=1.65)
+         python3-pandas,
+         python3-biopython
 Description: toolkit for processing B and T cell sequences (Python3 module)
  pRESTO is a toolkit for processing raw reads from high-throughput
  sequencing of B cell and T cell repertoires.

## presto 0.7.1

=== debian/changelog ===
presto (0.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Fri, 14 Oct 2022 22:07:10 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-python,
                python3-all,
                python3-setuptools
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/presto
 Vcs-Git: https://salsa.debian.org/med-team/presto.git
 Homepage: https://presto.readthedocs.io

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,14 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf presto.egg-info/
+
+override_dh_install:
+	dh_install
+	mkdir -p debian/$(PYBUILD_NAME)/usr
+	mv debian/python3-$(PYBUILD_NAME)/usr/bin debian/$(PYBUILD_NAME)/usr
+
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS.rst
+
+override_dh_installman:
+	dh_installman --language=C

## presto 0.7.2

=== requirements.txt ===
numpy>=1.8
scipy>=0.14
pandas>=0.24
biopython>=1.81

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -a -E -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/presto.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/presto.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/presto"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/presto"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
presto (0.7.2-2) unstable; urgency=medium

  * Team upload.
  * Fix Python3.12 string syntax
    Closes: #1085789
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 09 Dec 2024 20:54:04 +0100

presto (0.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * d/presto.lintian-overrides: Update lintian override format on lines 3-16
  * d/presto.examples: Install examples folder
  * d/control: Add to Depends and Build-Depends and replace testsuite with
    autopkgtest-pkg-pybuild to run upstream tests
  * d/control: Switch Architecture from all to any for python3-presto due to
    'vsearch' (architecture specific dependency for ClusterSets)
  * d/rules: Copy bin dir to build dir for testing and remove overrides for
    dh_auto_clean and dh_installchangelogs
  * d/rules: Remove test file for architecture specific dependency (vsearch)

 -- Lance Lin <lq27267@gmail.com>  Mon, 19 Feb 2024 19:34:26 +0700

=== debian/control ===
--- 
+++ 
@@ -2,26 +2,36 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: python
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
-               python3-setuptools
-Standards-Version: 4.6.1
+               python3-setuptools,
+               python3-biopython <!nocheck>,
+               python3-pandas <!nocheck>,
+               python3-scipy <!nocheck>,
+               python3-packaging <!nocheck>,
+               vsearch [amd64 arm64 kfreebsd-amd64 ppc64el] <!nocheck>,
+               cd-hit <!nocheck>,
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/presto
 Vcs-Git: https://salsa.debian.org/med-team/presto.git
 Homepage: https://presto.readthedocs.io
 Rules-Requires-Root: no
 
 Package: python3-presto
-Architecture: all
+Architecture: any
 Depends: ${python3:Depends},
          ${misc:Depends},
          python3-numpy,
          python3-scipy,
          python3-pandas,
-         python3-biopython
+         python3-biopython,
+         python3-packaging,
+         vsearch [amd64 arm64 kfreebsd-amd64 ppc64el],
+         cd-hit,
+         ncbi-blast+,
 Description: toolkit for processing B and T cell sequences (Python3 module)
  pRESTO is a toolkit for processing raw reads from high-throughput
  sequencing of B cell and T cell repertoires.
@@ -46,8 +56,6 @@
 Depends: ${python3:Depends},
          ${misc:Depends},
          python3-presto
-Breaks: python3-presto (<= 0.6.0-1)
-Replaces: python3-presto (<= 0.6.0-1)
 Description: toolkit for processing B and T cell sequences
  pRESTO is a toolkit for processing raw reads from high-throughput
  sequencing of B cell and T cell repertoires.

## presto 0.7.5

=== requirements.txt ===
numpy>=1.8
scipy>=0.14
pandas>=0.24
biopython>=1.81
packaging>=23.2

=== debian/changelog ===
presto (0.7.5-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Folder with examples is gone.
  * d/u/metadata: Update of URLs

 -- Steffen Moeller <moeller@debian.org>  Sun, 17 Aug 2025 20:02:34 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-packaging <!nocheck>,
                vsearch [amd64 arm64 kfreebsd-amd64 ppc64el] <!nocheck>,
                cd-hit <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/presto
 Vcs-Git: https://salsa.debian.org/med-team/presto.git
 Homepage: https://presto.readthedocs.io

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=presto
export PYBUILD_BEFORE_TEST=cp -r {dir}/bin {build_dir};

ifeq ($(filter $(DEB_BUILD_ARCH), amd64 arm64 kfreebsd-amd64 ppc64el),)
export PYBUILD_BEFORE_TEST+=rm {dir}/tests/test_ClusterSets.py || \
			echo "Test file already removed or moved";
endif

%:
	dh $@ --buildsystem=pybuild

override_dh_install:
	dh_install
	mkdir -p debian/$(PYBUILD_NAME)/usr
	mv debian/python3-$(PYBUILD_NAME)/usr/bin debian/$(PYBUILD_NAME)/usr

override_dh_installman:
	dh_installman --language=C

=== debian/watch ===
version=4
opts="repack"
https://pypi.debian.net/presto/presto-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## presto 0.7.6

=== debian/changelog ===
presto (0.7.6-1) unstable; urgency=medium

  * Team upload.

  [ Chris Lamb ]
  * d/rules: do not ship dist-packages/bin.
    Among other things, this fixes reproducibility issues with the nocheck
    profile.
    Signed-off-by: Étienne Mollier <emollier@debian.org> (Closes: #1120592)

  [ Étienne Mollier ]
  * New upstream version 0.7.6
  * d/watch: convert to v5 PyPI redirector.
  * d/control: drop redundant Rules-Requires-Root: no.

 -- Étienne Mollier <emollier@debian.org>  Thu, 13 Nov 2025 16:14:37 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
 Vcs-Browser: https://salsa.debian.org/med-team/presto
 Vcs-Git: https://salsa.debian.org/med-team/presto.git
 Homepage: https://presto.readthedocs.io
-Rules-Requires-Root: no
 
 Package: python3-presto
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 
 export PYBUILD_NAME=presto
 export PYBUILD_BEFORE_TEST=cp -r {dir}/bin {build_dir};
+export PYBUILD_AFTER_TEST=rm -rvf {build_dir}/bin;
 
 ifeq ($(filter $(DEB_BUILD_ARCH), amd64 arm64 kfreebsd-amd64 ppc64el),)
 export PYBUILD_BEFORE_TEST+=rm {dir}/tests/test_ClusterSets.py || \

=== debian/watch ===
Version: 5

Source: https://pypi.python.org/packages/source/p/presto/
Matching-Pattern: presto-@ANY_VERSION@@ARCHIVE_EXT@
Repack: yes
